/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_SrvAdvBody_H_
#define	_SrvAdvBody_H_


#include <asn_application.h>

/* Including external dependencies */
#include "SrvAdvChangeCount.h"
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Forward declarations */
struct SrvAdvMsgHeaderExts;
struct ServiceInfos;
struct ChannelInfos;
struct RoutingAdvertisement;

/* SrvAdvBody */
typedef struct SrvAdvBody {
	SrvAdvChangeCount_t	 changeCount;
	struct SrvAdvMsgHeaderExts	*extensions	/* OPTIONAL */;
	struct ServiceInfos	*serviceInfos	/* OPTIONAL */;
	struct ChannelInfos	*channelInfos	/* OPTIONAL */;
	struct RoutingAdvertisement	*routingAdvertisement	/* OPTIONAL */;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} SrvAdvBody_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_SrvAdvBody;

#ifdef __cplusplus
}
#endif

/* Referred external types */
#include "SrvAdvMsgHeaderExts.h"
#include "ServiceInfos.h"
#include "ChannelInfos.h"
#include "RoutingAdvertisement.h"

#endif	/* _SrvAdvBody_H_ */
#include <asn_internal.h>
